Subject: Re: bug#1474: 23.0.60; desktop.el don't check if pid in his lock file is always in use

From: "Juanma Barranquero" <[email-masked]>
Date: Wed, 3 Dec 2008 10:16:43 +0100

On Wed, Dec 3, 2008 at 10:14, Ulrich Mueller <[email-masked]> wrote:

> So in addition to the process id, the lock file should also contain
> the host name, so that the most common usage case can be handled.

That's an idea worth pursuing.

> And instead of a lock file with new syntax, couldn't desktop.el use a
> symlink, identical to what is done for file locking? (Or even use
> functions "lock-buffer" etc.?)

Only if you want to remove functionality for users of Emacs on Windows.

  Juanma